Subject: [[email-masked]: Bug#809007: diffutils: FTBFS: FAIL: test-update-copyright.sh]

From: Santiago Vila <[email-masked]>
Date: Sat, 26 Dec 2015 19:07:49 +0100

Greetings.

I've received this report from the Debian bug system.

In bug-m4 I was told that this is already fixed in gnulib by this commit:

http://git.savannah.gnu.org/cgit/gnulib.git/commit/?h=841d0dcfa8103235836a1aeb0c1ad657f43ade85

so fixing this would be just a matter of making a new release with updated files.

BTW: I find a little bit odd that only the left brace is escaped in
the git commit above. Sure, it will remove the warning about the
left brace, but it looks a little bit inconsistent.

I will apply the attached patch to the Debian diffutils package.

Thanks.

----- Forwarded message from Chris Lamb <[email-masked]> -----

Date: Sat, 26 Dec 2015 03:26:13 +0000
From: Chris Lamb <[email-masked]>
To: [email-masked]
Subject: Bug#809007: diffutils: FTBFS:  FAIL: test-update-copyright.sh

Source: diffutils
Version: 1:3.3-2
Severity: serious
Justification: fails to build from source
User: [email-masked]
Usertags: ftbfs
X-Debbugs-Cc: [email-masked]

Dear Maintainer,

diffutils fails to build from source in unstable/amd64. Looks similar to https://bugs.debian.org/808917 ?

  [..]

  ====================================================
     GNU diffutils 3.3: gnulib-tests/test-suite.log
  ====================================================
  
  # TOTAL: 140
  # PASS:  112
  # SKIP:  27
  # XFAIL: 0
  # FAIL:  1
  # XPASS: 0
  # ERROR: 0
  
  .. contents:: :depth: 2
  
  SKIP: test-btowc1.sh
  ====================
  
  Skipping test: no traditional french locale is installed
  
  SKIP: test-btowc2.sh
  ====================
  
  Skipping test: no french Unicode locale is installed
  
  SKIP: test-c-stack2.sh
  ======================
  
  cannot tell stack overflow from crash; consider installing libsigsegv
  
  SKIP: test-mbrtowc1.sh
  ======================
  
  Skipping test: no traditional french locale is installed
  
  SKIP: test-mbrtowc2.sh
  ======================
  
  Skipping test: no french Unicode locale is installed
  
  SKIP: test-mbrtowc3.sh
  ======================
  
  Skipping test: no traditional japanese locale is installed
  
  SKIP: test-mbrtowc4.sh
  ======================
  
  Skipping test: no transitional chinese locale is installed
  
  SKIP: test-mbrtowc-w32-1.sh
  ===========================
  
  Skipping test: not a native Windows system
  
  SKIP: test-mbrtowc-w32-2.sh
  ===========================
  
  Skipping test: not a native Windows system
  
  SKIP: test-mbrtowc-w32-3.sh
  ===========================
  
  Skipping test: not a native Windows system
  
  SKIP: test-mbrtowc-w32-4.sh
  ===========================
  
  Skipping test: not a native Windows system
  
  SKIP: test-mbrtowc-w32-5.sh
  ===========================
  
  Skipping test: not a native Windows system
  
  SKIP: test-mbscasecmp.sh
  ========================
  
  Skipping test: no turkish Unicode locale is installed
  
  SKIP: test-mbsinit.sh
  =====================
  
  Skipping test: no french Unicode locale is installed
  
  SKIP: test-mbsrtowcs1.sh
  ========================
  
  Skipping test: no traditional french locale is installed
  
  SKIP: test-mbsrtowcs2.sh
  ========================
  
  Skipping test: no french Unicode locale is installed
  
  SKIP: test-mbsrtowcs3.sh
  ========================
  
  Skipping test: no traditional japanese locale is installed
  
  SKIP: test-mbsrtowcs4.sh
  ========================
  
  Skipping test: no transitional chinese locale is installed
  
  SKIP: test-mbsstr2.sh
  =====================
  
  Skipping test: no french Unicode locale is installed
  
  SKIP: test-mbsstr3.sh
  =====================
  
  Skipping test: no chinese GB18030 locale is installed
  
  SKIP: test-setlocale1.sh
  ========================
  
  Skipping test: no locale for testing is installed
  
  FAIL: test-update-copyright.sh
  ==============================
  
  --- -	2015-12-26 03:23:35.680766889 +0000
  +++ update-copyright.test-ex-stderr	2015-12-26 03:23:35.675558045 +0000
  @@ -1,2 +1,18 @@
  +Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\G(?:(?:[ \t\r\f]*(?:[ \t\r\f]|\n)[ \t\r\f]*)(?:\([cC]\)|@copyright{ <-- HERE }|&copy;))?(?:[ \t\r\f]*(?:[ \t\r\f]|\n)[ \t\r\f]*)(?:(?:\d\d)?\d\d(?:,(?:[ \t\r\f]*(?:[ \t\r\f]|\n)[ \t\r\f]*)?|-))*((?:\d\d)?\d\d)(?:[ \t\r\f]*(?:[ \t\r\f]|\n)[ \t\r\f]*)Free(?:[ \t\r\f]*(?:[ \t\r\f]|\n)[ \t\r\f]*)Software(?:[ \t\r\f]*(?:[ \t\r\f]|\n)[ \t\r\f]*)Foundation,(?:[ \t\r\f]*(?:[ \t\r\f]|\n)[ \t\r\f]*)Inc./ at /home/lamby/temp/cdt.20151226032241.UmKbS7wF5C/diffutils-3.3/build-aux/update-copyright line 174, <> chunk 1.

[...]
--- a/build-aux/update-copyright
+++ b/build-aux/update-copyright
@@ -124,7 +124,7 @@
 use warnings;
 
 my $copyright_re = 'Copyright';
-my $circle_c_re = '(?:\([cC]\)|@copyright{}|&copy;)';
+my $circle_c_re = '(?:\([cC]\)|@copyright\{\}|&copy;)';
 my $holder = $ENV{UPDATE_COPYRIGHT_HOLDER};
 $holder ||= 'Free Software Foundation, Inc.';
 my $prefix_max = 5;